public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/profnet/
@ 2021-08-22 19:38 David Seifert
  0 siblings, 0 replies; 3+ messages in thread
From: David Seifert @ 2021-08-22 19:38 UTC (permalink / raw
  To: gentoo-commits

commit:     3d600a2879bae5755deef4bdfc3e2266a91534e9
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Aug 22 19:37:24 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Aug 22 19:37:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d600a28

sci-libs/profnet: Port to EAPI 7

Closes: https://bugs.gentoo.org/731898
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/profnet/profnet-1.0.22.ebuild | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/sci-libs/profnet/profnet-1.0.22.ebuild b/sci-libs/profnet/profnet-1.0.22.ebuild
index df450e7e8d3..5488f1435de 100644
--- a/sci-libs/profnet/profnet-1.0.22.ebuild
+++ b/sci-libs/profnet/profnet-1.0.22.ebuild
@@ -1,29 +1,30 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit fortran-2 toolchain-funcs
+inherit flag-o-matic fortran-2 toolchain-funcs
 
 DESCRIPTION="Neural network architecture for profacc"
 HOMEPAGE="https://rostlab.org/"
 SRC_URI="ftp://rostlab.org/profnet/${P}.tar.gz"
 
-SLOT="0"
 LICENSE="GPL-3"
+SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE=""
 
 RDEPEND="sys-libs/libunwind"
 DEPEND="${RDEPEND}"
 
 src_prepare() {
+	default
 	sed \
 		-e '/$@/s:-o:$(LDFLAGS) -o:g' \
 		-i src-phd/Makefile || die
 }
 
 src_compile() {
+	append-fflags $(test-flags-FC -fallow-argument-mismatch)
 	emake \
 		F77=$(tc-getF77) \
 		FFLAGS="${FFLAGS}"
@@ -34,4 +35,7 @@ src_install() {
 		DESTDIR="${D}" \
 		prefix="${EPREFIX}/usr" \
 		install
+
+	# Don't install compressed man pages
+	find "${ED}"/usr/share/man -type f -name '*.gz' -exec gzip -d {} \; || die
 }


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/profnet/
@ 2022-03-20 18:51 Sam James
  0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2022-03-20 18:51 UTC (permalink / raw
  To: gentoo-commits

commit:     e6df75e12f4ecb876468730b2ac490883550f678
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 20 18:50:20 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Mar 20 18:51:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6df75e1

sci-libs/profnet: [QA] fix tc-get* quoting

This can cause build problems for e.g. 32-bit (gcc -m32 ...)

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/profnet/profnet-1.0.22.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-libs/profnet/profnet-1.0.22.ebuild b/sci-libs/profnet/profnet-1.0.22.ebuild
index 5488f1435dec..ba10260fc635 100644
--- a/sci-libs/profnet/profnet-1.0.22.ebuild
+++ b/sci-libs/profnet/profnet-1.0.22.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -26,7 +26,7 @@ src_prepare() {
 src_compile() {
 	append-fflags $(test-flags-FC -fallow-argument-mismatch)
 	emake \
-		F77=$(tc-getF77) \
+		F77="$(tc-getF77)" \
 		FFLAGS="${FFLAGS}"
 }
 


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-libs/profnet/
@ 2024-03-06  3:37 Sam James
  0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2024-03-06  3:37 UTC (permalink / raw
  To: gentoo-commits

commit:     e8843079a4a0cb9e8d549b4ca5d52b787c79b23e
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Tue Mar  5 21:29:43 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar  6 03:36:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8843079

sci-libs/profnet: mark as LTO-unsafe

Closes: https://bugs.gentoo.org/862921
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/profnet/profnet-1.0.22.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/sci-libs/profnet/profnet-1.0.22.ebuild b/sci-libs/profnet/profnet-1.0.22.ebuild
index ba10260fc635..dfc60db98e74 100644
--- a/sci-libs/profnet/profnet-1.0.22.ebuild
+++ b/sci-libs/profnet/profnet-1.0.22.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -24,6 +24,12 @@ src_prepare() {
 }
 
 src_compile() {
+	# -Werror=lto-type-mismatch
+	# https://bugs.gentoo.org/862921
+	# No upstream bug. Upstream link seemingly doesn't provide any information
+	# about this specific project.
+	filter-lto
+
 	append-fflags $(test-flags-FC -fallow-argument-mismatch)
 	emake \
 		F77="$(tc-getF77)" \


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2024-03-06  3:37 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-03-06  3:37 [gentoo-commits] repo/gentoo:master commit in: sci-libs/profnet/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2022-03-20 18:51 Sam James
2021-08-22 19:38 David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox